Vulnerabilities (CVE)

Filtered by vendor Fanuc Subscribe
Total 3 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2021-32996 1 Fanuc 18 R-30ia, R-30ia Firmware, R-30ia Mate and 15 more 2022-01-13 7.8 HIGH 7.5 HIGH
The FANUC R-30iA and R-30iB series controllers are vulnerable to integer coercion errors, which cause the device to crash. A restart is required.
CVE-2021-32998 1 Fanuc 18 R-30ia, R-30ia Firmware, R-30ia Mate and 15 more 2022-01-13 10.0 HIGH 9.8 CRITICAL
The FANUC R-30iA and R-30iB series controllers are vulnerable to an out-of-bounds write, which may allow an attacker to remotely execute arbitrary code. INIT START/restore from backup required.
CVE-2020-12739 1 Fanuc 32 Power Motion I-model A, Power Motion I-model A Firmware, Series 0i-mate D and 29 more 2021-07-21 5.0 MEDIUM 5.3 MEDIUM
A denial-of-service vulnerability in the Fanuc i Series CNC (0i-MD and 0i Mate-MD) could allow an unauthenticated, remote attacker to cause an affected CNC to become inaccessible to other devices.